using System;
using Cute;

namespace Wizard;

public class RefundWarningDialog
{
	private const int PANEL_DEPTH = 25;

	public static void Start(PaymentBase.RefundWarningType warningType, Action onFinish)
	{
		if (warningType == PaymentBase.RefundWarningType.NONE)
		{
			onFinish.Call();
			return;
		}
		SystemText systemText = Data.SystemText;
		DialogBase dialogBase = UIManager.GetInstance().CreateDialogClose();
		dialogBase.SetPanelDepth(25);
		if (warningType == PaymentBase.RefundWarningType.WARNING)
		{
			dialogBase.SetButtonLayout(DialogBase.ButtonLayout.BlueBtn_CancelBtn);
			dialogBase.SetTitleLabel(systemText.Get("Shop_0215"));
			dialogBase.SetText(systemText.Get("Shop_0216"));
			dialogBase.SetButtonText(systemText.Get("Dia_BuyCrystal_004_Button"));
			dialogBase.onPushButton1 = delegate
			{
				onFinish.Call();
			};
			dialogBase.onPushButton2 = delegate
			{
				OnPaymentCancel();
			};
			dialogBase.onCloseWithoutSelect = delegate
			{
				OnPaymentCancel();
			};
		}
		else
		{
			dialogBase.SetButtonLayout(DialogBase.ButtonLayout.OkBtn);
			dialogBase.SetTitleLabel(systemText.Get("Shop_0218"));
			dialogBase.SetText(systemText.Get("Shop_0217"));
			dialogBase.OnClose = delegate
			{
				OnPaymentCancel();
			};
		}
	}

	private static void OnPaymentCancel()
	{
	}
}
